POST api/Checklist/GetNewByChecklistType
Request Information
URI Parameters
None.
Body Parameters
ChecklistDto| Name | Description | Type | Additional information |
|---|---|---|---|
| ChecklistId | globally unique identifier |
None. |
|
| CompanyId | globally unique identifier |
None. |
|
| ChecklistTypeId | integer |
None. |
|
| ChecklistResultId | integer |
None. |
|
| Signature | string |
None. |
|
| SignedDate | date |
None. |
|
| Comments | string |
None. |
|
| Archived | boolean |
None. |
|
| CreatedDate | date |
None. |
|
| CreatedBy | globally unique identifier |
None. |
|
| ResultUpdated | boolean |
None. |
|
| OldResult | string |
None. |
|
| NewResult | string |
None. |
|
| Type | string |
None. |
|
| AuditorUserId | globally unique identifier |
None. |
|
| AuditorEmail | string |
None. |
|
| Answers | Collection of ChecklistAnswerDto |
None. |
|
| Operatives | Collection of OperativeDto |
None. |
|
| Documents | Collection of AzureStorageFileDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"checklistId": "647e0927-381c-4dfb-89d0-445a5967d5cd",
"companyId": "1b0d46d6-c538-4709-b63a-836406d048c6",
"checklistTypeId": 3,
"checklistResultId": 4,
"signature": "sample string 5",
"signedDate": "2026-06-12T09:19:52.6001428+00:00",
"comments": "sample string 6",
"archived": true,
"createdDate": "2026-06-12T09:19:52.6001428+00:00",
"createdBy": "4f4ad7da-74e5-49d1-ac44-e9410b40bf73",
"resultUpdated": true,
"oldResult": "sample string 11",
"newResult": "sample string 12",
"type": "sample string 13",
"auditorUserId": "78965278-8f33-4486-89b3-30dc6a3183c0",
"auditorEmail": "sample string 14",
"answers": [
{
"checklistAnswerId": "dc3a032a-f6f1-4a34-9a84-dbe602313f6a",
"checklistId": "e015fbc2-7ccf-486c-89c4-ee62fed9e1d6",
"questionId": "d8e03f50-0cb1-409e-b4fb-9f3113a78fbf",
"questionText": "sample string 4",
"sourceDocument": "sample string 5",
"result": "sample string 6",
"comments": "sample string 7",
"sequence": 8
},
{
"checklistAnswerId": "dc3a032a-f6f1-4a34-9a84-dbe602313f6a",
"checklistId": "e015fbc2-7ccf-486c-89c4-ee62fed9e1d6",
"questionId": "d8e03f50-0cb1-409e-b4fb-9f3113a78fbf",
"questionText": "sample string 4",
"sourceDocument": "sample string 5",
"result": "sample string 6",
"comments": "sample string 7",
"sequence": 8
}
],
"operatives": [
{
"operativeId": "dc14dbc8-8d51-429b-b741-a6929cfee991",
"firstName": "sample string 2",
"lastName": "sample string 3",
"qualificationRegistration": "sample string 4",
"acribRegistration": "sample string 5",
"skillcard": "sample string 6",
"checklistId": "0b7d2333-e7a0-408d-8049-fab7511b4c1f",
"index": 8,
"engineerId": "26227cc7-1447-498e-87a0-2da89f929bf7"
},
{
"operativeId": "dc14dbc8-8d51-429b-b741-a6929cfee991",
"firstName": "sample string 2",
"lastName": "sample string 3",
"qualificationRegistration": "sample string 4",
"acribRegistration": "sample string 5",
"skillcard": "sample string 6",
"checklistId": "0b7d2333-e7a0-408d-8049-fab7511b4c1f",
"index": 8,
"engineerId": "26227cc7-1447-498e-87a0-2da89f929bf7"
}
],
"documents": [
{
"fileType": 1,
"fileName": "sample string 2",
"category": "sample string 3",
"uploadDate": "2026-06-12T09:19:52.6001428+00:00",
"filePath": "sample string 4"
},
{
"fileType": 1,
"fileName": "sample string 2",
"category": "sample string 3",
"uploadDate": "2026-06-12T09:19:52.6001428+00:00",
"filePath": "sample string 4"
}
]
}
application/xml, text/xml
Sample:
<ChecklistDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DTO.Model">
<Answers>
<ChecklistAnswerDto>
<ChecklistAnswerId>dc3a032a-f6f1-4a34-9a84-dbe602313f6a</ChecklistAnswerId>
<ChecklistId>e015fbc2-7ccf-486c-89c4-ee62fed9e1d6</ChecklistId>
<Comments>sample string 7</Comments>
<QuestionId>d8e03f50-0cb1-409e-b4fb-9f3113a78fbf</QuestionId>
<QuestionText>sample string 4</QuestionText>
<Result>sample string 6</Result>
<Sequence>8</Sequence>
<SourceDocument>sample string 5</SourceDocument>
</ChecklistAnswerDto>
<ChecklistAnswerDto>
<ChecklistAnswerId>dc3a032a-f6f1-4a34-9a84-dbe602313f6a</ChecklistAnswerId>
<ChecklistId>e015fbc2-7ccf-486c-89c4-ee62fed9e1d6</ChecklistId>
<Comments>sample string 7</Comments>
<QuestionId>d8e03f50-0cb1-409e-b4fb-9f3113a78fbf</QuestionId>
<QuestionText>sample string 4</QuestionText>
<Result>sample string 6</Result>
<Sequence>8</Sequence>
<SourceDocument>sample string 5</SourceDocument>
</ChecklistAnswerDto>
</Answers>
<Archived>true</Archived>
<AuditorEmail>sample string 14</AuditorEmail>
<AuditorUserId>78965278-8f33-4486-89b3-30dc6a3183c0</AuditorUserId>
<ChecklistId>647e0927-381c-4dfb-89d0-445a5967d5cd</ChecklistId>
<ChecklistResultId>4</ChecklistResultId>
<ChecklistTypeId>3</ChecklistTypeId>
<Comments>sample string 6</Comments>
<CompanyId>1b0d46d6-c538-4709-b63a-836406d048c6</CompanyId>
<CreatedBy>4f4ad7da-74e5-49d1-ac44-e9410b40bf73</CreatedBy>
<CreatedDate>2026-06-12T09:19:52.6001428+00:00</CreatedDate>
<Documents>
<AzureStorageFileDto>
<Category>sample string 3</Category>
<FileName>sample string 2</FileName>
<FilePath>sample string 4</FilePath>
<FileType>1</FileType>
<UploadDate xmlns:d4p1="http://schemas.datacontract.org/2004/07/System">
<d4p1:DateTime>2026-06-12T09:19:52.6001428Z</d4p1:DateTime>
<d4p1:OffsetMinutes>0</d4p1:OffsetMinutes>
</UploadDate>
</AzureStorageFileDto>
<AzureStorageFileDto>
<Category>sample string 3</Category>
<FileName>sample string 2</FileName>
<FilePath>sample string 4</FilePath>
<FileType>1</FileType>
<UploadDate xmlns:d4p1="http://schemas.datacontract.org/2004/07/System">
<d4p1:DateTime>2026-06-12T09:19:52.6001428Z</d4p1:DateTime>
<d4p1:OffsetMinutes>0</d4p1:OffsetMinutes>
</UploadDate>
</AzureStorageFileDto>
</Documents>
<NewResult>sample string 12</NewResult>
<OldResult>sample string 11</OldResult>
<Operatives>
<OperativeDto>
<AcribRegistration>sample string 5</AcribRegistration>
<ChecklistId>0b7d2333-e7a0-408d-8049-fab7511b4c1f</ChecklistId>
<EngineerId>26227cc7-1447-498e-87a0-2da89f929bf7</EngineerId>
<FirstName>sample string 2</FirstName>
<Index>8</Index>
<LastName>sample string 3</LastName>
<OperativeId>dc14dbc8-8d51-429b-b741-a6929cfee991</OperativeId>
<QualificationRegistration>sample string 4</QualificationRegistration>
<Skillcard>sample string 6</Skillcard>
</OperativeDto>
<OperativeDto>
<AcribRegistration>sample string 5</AcribRegistration>
<ChecklistId>0b7d2333-e7a0-408d-8049-fab7511b4c1f</ChecklistId>
<EngineerId>26227cc7-1447-498e-87a0-2da89f929bf7</EngineerId>
<FirstName>sample string 2</FirstName>
<Index>8</Index>
<LastName>sample string 3</LastName>
<OperativeId>dc14dbc8-8d51-429b-b741-a6929cfee991</OperativeId>
<QualificationRegistration>sample string 4</QualificationRegistration>
<Skillcard>sample string 6</Skillcard>
</OperativeDto>
</Operatives>
<ResultUpdated>true</ResultUpdated>
<Signature>sample string 5</Signature>
<SignedDate>2026-06-12T09:19:52.6001428+00:00</SignedDate>
<Type>sample string 13</Type>
</ChecklistDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.